Subject: Re: Antw: [EXT] Re: bug#24902: 25.1; C‑x = for Unicode

From: "Ulrich Windl" <[email-masked]>
Date: Thu, 27 Jan 2022 14:24:06 +0100

>>> Mattias Engdegård <[email-masked]> schrieb am 27.01.2022 um 13:38 in
Nachricht <[email-masked]>:
> 27 jan. 2022 kl. 10.43 skrev Robert Pluim <[email-masked]>:
> 
>> Those are codepoints which have both a 'name' and an 'old-name'.
>> 'C-u C-x =' will show both by default, I donʼt think itʼs necessary
>> for 'C-x =', which will show 'name' if it exists, else 'old-name'.
> 
> Right, and it is probably the right call here -- only control characters 
> have an old-name but no name (some have neither).
> There is a single name/old-name collision, U+1F514 vs U+0007, but there's no

> serious risk of confusion.

According to BabelPad the names are different:
U+0007 <control> : ALERT [BEL]
U+1F514 BELL

> 
>> Iʼm more interested in the visual separation between the U+ABCD and
>> the name.

U+ABCD MEETEI MAYEK LETTER HUK : ha

;-)

> 
> Just a space seems to be the standard convention to the point that 
> characters are nowadays often identified in that manner in prose, as in 
> U+00A7 SECTION SIGN.
> It also reinforces the connection between the code and the name, being 
> separate from the rest of the information being displayed, which is about
the 
> cursor position. Is it good enough, you think?